package com.engine.matfron.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.TreeSet;

/**
 * @Author liang.cheng
 * @Date 2023/9/27 5:30 PM
 * @Description: echarts option
 * @Version 1.0
 */

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OptionVO {

    private String titleText;

    private TreeSet<String> xData;

    private Integer yMin;

    private Integer yMax;

    private Integer yInterval;

    private TreeSet<Integer> yData;

    private TreeSet<String> legendDataFirst;

    private TreeSet<String> legendDataTwo;

    private TreeSet<SeriesParam> seriesData;


}
